# -*- coding: utf-8 -*-

from django import forms
from django.urls import reverse


class AttachmentWidget(forms.FileInput):
    template_name = 'admin/miscellaneous/attachment/file.html'

    def get_context(self, name, value, attrs):
        context = super().get_context(name, value, attrs)
        if value and hasattr(value, 'instance'):
            download_link = reverse('admin:miscellaneous_attachment_download', args=(value.instance.id,))
            try:
                context['attachment'] = {
                    'name': value.instance.name,
                    'download_link': download_link
                }
            except FileNotFoundError as fnfe:
                context['attachment'] = {'name': f'{fnfe}'}
        return context
