# Generated by Django 3.2.18 on 2023-04-13 12:29

import django.core.files.storage
import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models

import thx.miscellaneous.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('title', models.CharField(blank=True, max_length=255, null=True, verbose_name='title')),
                ('message', models.TextField(verbose_name='message')),
                ('type', models.CharField(max_length=255, null=True, verbose_name='type')),
                ('is_public', models.BooleanField(default=True, verbose_name='is public')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='miscellaneous_comment_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='miscellaneous_comment_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'comment',
                'verbose_name_plural': 'comments',
                'ordering': ('ordering',),
                'permissions': (('list_comment', 'Can list comment'), ('detail_comment', 'Can detail comment'), ('disable_comment', 'Can disable comment')),
            },
        ),
        migrations.CreateModel(
            name='Attachment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_create', models.DateTimeField(auto_now_add=True, verbose_name='date create')),
                ('date_last_modify', models.DateTimeField(auto_now=True, verbose_name='date last modify')),
                ('status', models.IntegerField(choices=[(0, 'disable'), (1, 'enable')], default=1, null=True, verbose_name='status')),
                ('ordering', models.IntegerField(default=0, verbose_name='ordering')),
                ('name', models.CharField(max_length=255, verbose_name='name')),
                ('type', models.CharField(max_length=255, null=True, verbose_name='type')),
                ('attachment', models.FileField(storage=django.core.files.storage.FileSystemStorage(base_url=settings.MEDIA_PRIVATE_URL, location=settings.MEDIA_PRIVATE_ROOT), upload_to=thx.miscellaneous.models.upload_attachment)),
                ('description', models.CharField(blank=True, max_length=255, null=True, verbose_name='description')),
                ('creator', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='miscellaneous_attachment_creator', to=settings.AUTH_USER_MODEL, verbose_name='creator')),
                ('last_modifier', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='miscellaneous_attachment_last_modifier', to=settings.AUTH_USER_MODEL, verbose_name='last modifier')),
            ],
            options={
                'verbose_name': 'attachment',
                'verbose_name_plural': 'attachments',
                'ordering': ('ordering', 'name'),
                'permissions': (('list_attachment', 'Can list attachment'), ('detail_attachment', 'Can detail attachment'), ('disable_attachment', 'Can disable attachment'), ('download_attachment', 'Can download attachment')),
            },
        ),
    ]
